package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description:
 * @CreateDate: 2020/9/24
 * @Author: simon.song
 */
@Data
public class MesDbCheckRecordModel {
    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("零件号")
    private String partNo;

    @ApiParam("零件名称")
    private String partDesc;

    @ApiParam("缺陷类型")
    private String defectType;

    @ApiParam("缺陷原因")
    private String defectDesc;

    public MesDbCheckRecordModel(String serialNumber, String partNo, String partDesc, String defectType, String defectDesc) {
        this.serialNumber = serialNumber;
        this.partNo = partNo;
        this.partDesc = partDesc;
        this.defectType = defectType;
        this.defectDesc = defectDesc;
    }
}
